std::swap(std::basic_stringbuf)(3)

NAME
std::swap(std::basic_stringbuf) - std::swap(std::basic_stringbuf)

Synopsis
   Defined in header <sstream>
   template< class CharT, class Traits, class Alloc >
                        (since C++11)
   void swap( std::basic_stringbuf<CharT,Traits,Alloc>& lhs, (until C++20)
   std::basic_stringbuf<CharT,Traits,Alloc>& rhs );
   template< class CharT, class Traits, class Alloc >
   void swap( std::basic_stringbuf<CharT,Traits,Alloc>& lhs, (since C++20)
   std::basic_stringbuf<CharT,Traits,Alloc>& rhs )
   noexcept(noexcept(lhs.swap(rhs)));
   Overloads the std::swap algorithm for std::basic_stringbuf. Exchanges the state of
   lhs with that of rhs. Effectively calls lhs.swap(rhs).

Parameters
   lhs, rhs - std::basic_stringbuf objects whose states to swap

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two basic_stringbuf objects
   (C++11) (public member function)
   swap swaps the values of two objects
           (function template)